import request from '@/utils/request'


// 确认电机设备
export function handleConfirmMotor(data) {
  return request({
    url: '/pssr/motor/confirmMotor',
    method: 'put',
    data: data
  })
}

// 驳回电机设备
export function handleTurnDownMotor(data) {
  return request({
    url: '/pssr/motor/turnDownMotor',
    method: 'put',
    data: data
  })
}

// 查询电机设备列表
export function listMotor(query) {
  return request({
    url: '/pssr/motor/list',
    method: 'get',
    params: query
  })
}

// 查询电机设备详细
export function getMotor(id) {
  return request({
    url: '/pssr/motor/' + id,
    method: 'get'
  })
}

// 新增电机设备
export function addMotor(data) {
  return request({
    url: '/pssr/motor',
    method: 'post',
    data: data
  })
}

// 修改电机设备
export function updateMotor(data) {
  return request({
    url: '/pssr/motor',
    method: 'put',
    data: data
  })
}

//
export function updateMotorBatch(data) {
  return request({
    url: '/pssr/motor/editBatch',
    method: 'put',
    data: data
  })
}


// 删除电机设备
export function delMotor(id) {
  return request({
    url: '/pssr/motor/' + id,
    method: 'delete'
  })
}

// 导出电机设备
export function exportMotor(query) {
  return request({
    url: '/pssr/motor/export',
    method: 'get',
    params: query
  })
}
